KTipDialog class Reference (kdeui Library)

| # kdeui Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTipDialog Class Reference

A Tip-of-the-Day dialog. More...

`#include <ktip.h>`

Inheritance diagram for KTipDialog:

[legend]
Collaboration diagram for KTipDialog:

[legend]
List of all members.

## Public Member Functions
| KTipDialog (KTipDatabase *db, QWidget *parent=0, const char *name=0)
| Construct a tip dialog.
## Static Public Member Functions
void | showTip (QWidget *parent, const QString &tipFile=QString::null, bool force=false)
| Shows a tip.
void | showTip (const QString &tipFile=QString::null, bool force=false)
| Shows a tip.
void | setShowOnStart (bool show)
| Toggles the start behaviour.
## Protected Member Functions
bool | eventFilter (QObject *, QEvent *)
virtual void | virtual_hook (int id, void *data)

## Detailed Description

A Tip-of-the-Day dialog.

This dialog class presents a tip-of-the-day.

Author:
  Matthias Hoelzer-Kluepfel <mhk@caldera.de>

Definition at line 99 of file ktip.h.

## Constructor & Destructor Documentation

KTipDialog::KTipDialog | ( | KTipDatabase * | db,
|  | QWidget * | parent = 0,
|  | const char * | name = 0
| ) |

  | Construct a tip dialog. Parameters:
  db | TipDatabase that should be used by the TipDialog.
  parent | Parent widget of TipDialog.
  name | The object name.
Definition at line 130 of file ktip.cpp. References QDialog::accept(), KGlobalSettings::activeTitleColor(), KGlobalSettings::alternateBackgroundColor(), KIconEffect::colorize(), QApplication::desktop(), KGlobal::dirs(), KGlobalSettings::generalFont(), QSize::height(), QRect::height(), KGlobal::iconLoader(), QStyleSheet::item(), locate(), KDialog::marginHint(), KIO::move(), KStdAccel::name(), KStdAccel::next(), QImage::pixel(), KStandardDirs::resourceDirs(), QLabel::setAlignment(), KDialog::setCaption(), QCheckBox::setChecked(), QPalette::setColor(), QPushButton::setDefault(), QLabel::setFont(), QStyleSheetItem::setFontWeight(), QColor::setHsv(), QLabel::setPixmap(), QHBox::setSpacing(), QPushButton::setText(), QLabel::setText(), KDialog::spacingHint(), KGlobalSettings::textColor(), QSize::width(), QRect::width(), QRect::x(), and QRect::y(). Referenced by showTip().

## Member Function Documentation

void KTipDialog::showTip | ( | QWidget * | parent,
|  | const QString & | tipFile = QString::null,
|  | bool | force = false
| ) | `[static]`

  | Shows a tip. This static method is all that is needed to add a tip-of-the-day dialog to an application. It will pop up the dialog, unless the user has asked that the dialog does not pop up on startup. Note that you probably want an item in the help menu calling this method with force=true. Parameters:
  parent | Parent widget of TipDialog.
  tipFile | The name of the tip file.
  force | If true, the dialog is show, even when the users disabled it.
Definition at line 283 of file ktip.cpp. References KTipDialog(), nextTip(), and QDialog::show(). Referenced by showTip().

void KTipDialog::showTip | ( | const QString & | tipFile = QString::null,
|  | bool | force = false
| ) | `[static]`

| Shows a tip. This methods calls showTip() with the applications main window as parent. Definition at line 278 of file ktip.cpp. References showTip().

void KTipDialog::setShowOnStart | ( | bool | show | ) | `[static]`

| Toggles the start behaviour. Normally, the user can disable the display of the tip in the dialog. This is just a way to change this setting from outside. Definition at line 324 of file ktip.cpp.

The documentation for this class was generated from the following files:

- ktip.h
- ktip.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:04:57 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001